#include<stdio.h>
int main(){
	int N,L,Hi[100],ind=-1;
	scanf("%d%d",&N,&L);
	for(int i=0;i<N;i++)scanf("%d",&Hi[i]);
	for(int i=0;i<N;i++)if(Hi[i]<=L){
		ind=i+1;
		break;
	}
	printf("%d",ind);
	return 0;
}